import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-transport/transport-ship/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-transport/transport-ship/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const submit = row => {
  return request({
    url: '/blade-transport/transport-ship/submit',
    method: 'post',
    data: row,
  });
};

export const remove = ids => {
  return request({
    url: '/blade-transport/transport-ship/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const changeStatus = (id, status) => {
  return request({
    url: '/blade-transport/transport-ship/status',
    method: 'post',
    params: {
      id,
      status,
    },
  });
};

export const getExpiryStat = params => {
  return request({
    url: '/blade-transport/transport-ship/expiry-stat',
    method: 'get',
    params,
  });
};
